<?php

namespace App\Http\Controllers\Api;

use App\Model\SystemL;
use App\Service\ReportFormsService;
use Illuminate\Http\Request;

class ReportFormsController extends BaseController
{

    //设备统计报表
    public function deviceStatisticsReportChart(Request $request){
        $service = new ReportFormsService();
        list($status,$data) = $service->deviceStatisticsReportChart($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    //设备统计OEE报表
    public function deviceStatisticsReportOEEChart(Request $request){
        $service = new ReportFormsService();
        list($status,$data) = $service->deviceStatisticsReportOEEChart($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }
}
